> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/umbraco-commerce/13.latest/reference/shipping.md).

# Shipping

Shipping options in Umbraco Commerce.

Umbraco Commerce offers three different shipping method configurations for calculating shipping rates, which are:

### [Fixed Rate Shipping](/umbraco-commerce/13.latest/reference/shipping/fixed-rate-shipping.md)

The fixed rate shipping option allows you to configure a single fixed rate for the whole of an order.

### [Dynamic Rate Shipping](/umbraco-commerce/13.latest/reference/shipping/dynamic-rate-shipping.md)

The dynamic rate shipping option allows you to configure a series of ranges from which an order will be checked against. These checks identify a which range the order falls within. For each range a series of rate options can be configured. Options include fixed rate per order, a fixed rate per order item, percentage based rates amongst others.

### [Realtime Rate Shipping](/umbraco-commerce/13.latest/reference/shipping/realtime-rate-shipping.md)

The realtime rate shipping option allows you to configure a connection to a shipping operator to fetch realtime shipping rate estimates for an order.

## Shipping Calculators

Should you wish to take more control over the shipping calculation process you can swap out the whole shipping calculator implementation. See the [Calculator documentation](/umbraco-commerce/13.latest/key-concepts/calculators.md) for more details.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.umbraco.com/umbraco-commerce/13.latest/reference/shipping.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
